#! /usr/bin/python
# -*- coding: utf-8 -*-

from gi.repository import Gtk, Gio

class GEDUConfig(Gtk.Window):

    def __init__(self):
        """ Class init event """
        # Setup the window with title and border width.
        Gtk.Window.__init__(self, type=Gtk.WindowType.TOPLEVEL,
                                  title="Configurador de Escritorio de Guadalinex EDU",
                                  resizable=False,
                                  border_width=10)



        # Create and bind the Gtk Switch with the gsettings schema and its key.
        # volumes-visible path in nautilus.desktop schema
        nautilus_desktop_switch = Gtk.Switch()
        nautilus_desktop_setting = Gio.Settings.new("org.gnome.nautilus.desktop")
        nautilus_desktop_setting.bind("volumes-visible", nautilus_desktop_switch, "active", Gio.SettingsBindFlags.DEFAULT)

        # Create the label for the switch
        volumes_visible_label = Gtk.Label("Mostrar en el escritorio los volúmenes montados")

        # Position the Switch and its Label inside a Horizontal child box.
        box = Gtk.Box.new(Gtk.Orientation.HORIZONTAL, 40)
        box.pack_start(volumes_visible_label, False, False, 10)
        box.pack_end(nautilus_desktop_switch, False, False, 10)

        # Add the child box to the window
        self.add(box)
        self.connect("destroy", Gtk.main_quit)

if __name__ == "__main__":
    window = GEDUConfig()
    window.set_position(Gtk.WindowPosition.CENTER)
    window.show_all()
    Gtk.main()
